<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/account_login_dialog_bg">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_close"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginEnd="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/common_close_ic"
        tools:layout_marginTop="44dp" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_debug"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:text="@string/account_debug"
        android:textColor="@color/white"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/btn_close"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/btn_close"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/app_icon_iv"
        android:layout_width="182dp"
        android:layout_height="56dp"
        android:src="@drawable/account_login_logo_ic"
        app:layout_constraintBottom_toTopOf="@id/tv_login_tips"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/btn_close"
        app:layout_constraintVertical_bias="0.3" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_login_tips"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="38dp"
        android:layout_marginBottom="16dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/account_login_tips"
        android:textColor="@color/color_FF15E5E2"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@id/test_login_btn"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/test_login_btn"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginHorizontal="38dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/account_google_login_btn_bg"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingHorizontal="12dp"
        android:text="@string/account_cn_test"
        android:textColor="@color/color_222222"
        android:textSize="16sp"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/phone_login_btn"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/phone_login_btn"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginHorizontal="38dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/account_phone_login_btn_bg"
        app:layout_constraintBottom_toTopOf="@+id/google_login_btn"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginHorizontal="22dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/account_phone_login_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_phone_login_btn"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginHorizontal="38dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingHorizontal="12dp"
            android:text="@string/account_phone"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/google_login_btn"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginHorizontal="38dp"
        android:layout_marginBottom="50dp"
        android:background="@drawable/account_google_login_btn_bg"
        app:layout_constraintBottom_toTopOf="@+id/user_agreement_tv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginHorizontal="22dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/account_google_login_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_google_login_btn"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginHorizontal="38dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingHorizontal="12dp"
            android:text="@string/account_google"
            android:textColor="@color/color_222222"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/user_agreement_tv"
        android:layout_width="212dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="36dp"
        android:layout_marginBottom="16dp"
        android:gravity="center"
        android:textColor="@color/white"
        android:textSize="11sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:text="Hello World" />

</androidx.constraintlayout.widget.ConstraintLayout>